> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update application status

> Update the status of an application



## OpenAPI

````yaml api-reference/openapi.yaml post /updateApplicationStatus
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /updateApplicationStatus:
    post:
      summary: Update application status
      description: Update the status of an application
      parameters:
        - name: application_id
          in: query
          required: true
          schema:
            type: string
          description: The ID of the application
        - name: status
          in: query
          required: true
          schema:
            type: string
            enum:
              - PENDING
              - IN_PROGRESS
              - COMPLETE
              - ERROR
          description: The new status
      responses:
        '200':
          description: Application status updated successfully
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````